unit fFunc2;

interface

uses
  Windows,
  SysUtils,
  Classes,
  Graphics,
  Controls,
  Dialogs,
  Forms,
  StdCtrls,
  Buttons,
  fTypeDef;

type
  TMyComponent = class(TMyBaseComponent)
  public
    function Method1: string; override;
    function Method2(S: string): string; override;
    function Method3(const FileName: string; var Bitmap: TBitmap): Boolean; override;
    procedure Method4(c: TCanvas; r: TRect; b: TBitmap); override;
  end;

  TForm2 = class(TForm)
    BitBtn1: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
  published
    function Method1: string;
    function Method2(S: string): string;
    function Method3(const FileName: string; var Bitmap: TBitmap): Boolean;
    procedure Method4(c: TCanvas; r: TRect; b: TBitmap);
  end;

implementation

{$R *.dfm}

{ TMyBaseComponent }

function TMyComponent.Method1: string;
begin
  ShowMessage('The Method of ' + ClassName);
end;

function TMyComponent.Method2(S: string): string;
begin
  ShowMessage(S);
end;

function TMyComponent.Method3(const FileName: string; var Bitmap: TBitmap): Boolean;
begin
  Result := GetBitmap(FileName,Bitmap);
end;

procedure TMyComponent.Method4(c: TCanvas; r: TRect; b: TBitmap);
begin
  DrawBitmep(c,r,b);
end;

procedure TForm2.BitBtn1Click(Sender: TObject);
begin
  Close;
end;

function TForm2.Method1: string;
begin
  ShowMessage('The Method of ' + ClassName);
end;

function TForm2.Method2(S: string): string;
begin
  ShowMessage(S);
end;

function TForm2.Method3(const FileName: string; var Bitmap: TBitmap): Boolean;
begin
  Result := GetBitmap(FileName,Bitmap);
end;

procedure TForm2.Method4(c: TCanvas; r: TRect; b: TBitmap);
begin
  DrawBitmep(c,r,b);
end;

initialization
  RegisterClasses([TMyComponent,TForm2]);
finalization
  UnRegisterClasses([TMyComponent,TForm2]);

end.
