unit fMain;

interface

uses
  Windows,
  SysUtils,
  Classes,
  Graphics,
  Controls,
  Dialogs,
  Forms,
  StdCtrls,
  fTypeDef;

type

  TForm1 = class(TForm)
    btnUseForm2: TButton;
    btnUseMyComponent: TButton;
    procedure btnUseForm2Click(Sender: TObject);
    procedure btnUseMyComponentClick(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnUseMyComponentClick(Sender: TObject);
var
  h: HMODULE;
  AClass: TPersistentClass;
  O: TMyBaseComponent;
  b: TBitmap;
  rt: TRect;
begin
  if MyGetClass('BPL12.BPL','TMyComponent',h,AClass) then
  try
    O := TMyBaseComponentClass(AClass).Create(Self);
    try
      O.Method1;
      O.Method2('0123456789');

      if O.Method3('BACK1.BMP',b) then
      try
        rt := Rect(0,0,b.Width,b.Height);
        OffsetRect(rt,+5,+5);
        O.Method4(Canvas,rt,b);
      finally
        FreeAndNil(b);
      end;

    finally
      FreeAndNil(O);
    end;
  finally
    UnLoadPackage(h);
  end;
end;

procedure TForm1.btnUseForm2Click(Sender: TObject);
var
  h: HMODULE;
  AClass: TFormClass;
  F: TForm;
  m: TMethod;
  b: TBitmap;
  rt: TRect;
begin
  if MyGetClass('BPL12.BPL','TForm2',h,TPersistentClass(AClass)) then
  try
    F := AClass.Create(Self);
    try
      if FindMethod(F,'Method1',m) then TMethod1(m);
      if FindMethod(F,'Method2',m) then TMethod2(m)('0123456789');

      if FindMethod(F,'Method3',m) and TMethod3(m)('BACK1.BMP',b) then
      try
        if FindMethod(F,'Method4',m) then
        begin
          rt := Rect(0,0,b.Width,b.Height);
          OffsetRect(rt,b.Width+10,+5);
          TMethod4(m)(Canvas,rt,b);
        end;
      finally
        FreeAndNil(b);
      end;

      F.ShowModal;

    finally
      FreeAndNil(F);
    end;
  finally
    UnLoadPackage(h);
  end;
end;

end.
